[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Функция фильтра
function [parametrs]=DynamicFilterFunction1(time, value)
    parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];
endfunction
function [parametr]=DynamicFilterFunction2(time, value)
    parametr=sum(time.*value) / (2*length(time));
endfunction

//Массив функций фильтров
DynamicFiltersFunctions = cell(1, 4);
DynamicFiltersFunctions{1} = DynamicFilterFunction1;
DynamicFiltersFunctions{2} = DynamicFilterFunction2;
DynamicFiltersFunctions{3} = DynamicFilterFunction2;
DynamicFiltersFunctions{4} = DynamicFilterFunction1;

//Запускаем базовую функцию
SystemParametrsNames = ['b', 'a', 'd'];//Имена параметров
SystemParametrsValues = [ 1.5, 0.81, 3.81;
                         2.25, 0.51, 6.81;
                         1.11, 0.93, 3.51];//Значения параметров
[SystemOutputCharacteristics...//Выходные характеристики
 ]=AdvancedModelLearningDataEvidence(['A3', 'A1', 'A2'],...//Имена выходных характеристик системы
                                     [1, 1, 3, 2],...//Индексы имен динамик
                                     [3, 2, 1, 2],...//Индексы динамик (в именах)
                                     fullfile(pathlib, 'Proba3.zcos'),...//Имя схемы системы
                                     DynamicFiltersFunctions,...//Функция сжатия динамик
                                     SystemParametrsNames,...//Имена параметров, определяющих динамику
                                     SystemParametrsValues,...//Значения параметров, определяющих динамику
                                     [0.5E-6,0.51E-6,0.57E-6],..//Абсолютная погрешность
                                     [0.69E-6,0.57E-6,0.75E-6],..//Относительная погрешность
                                     [10.0,11.1,15.3],..//Время симуляции
                                     [0.93E-4,0.87E-4,0.81E-4],..//Максимальный шаг интегрирования по времени
                                     [0,3,4],..//Решатель
                                     [2.1E-10,1.5E-10,1.23E-10]..//Погрешность по времени
                                     );

//Запускаем эталонные примеры
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba4e1.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [DynamicFilterFunction1(A3.time,A3.values(:,3)),..
                                DynamicFilterFunction2(A3.time,A3.values(:,2)),..
                                DynamicFilterFunction2(A2.time,A2.values(:,1)),..
                                DynamicFilterFunction1(A1.time,A1.values(:,2))];
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba4e2.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;...
                                [DynamicFilterFunction1(A3.time,A3.values(:,3)),..
                                 DynamicFilterFunction2(A3.time,A3.values(:,2)),..
                                 DynamicFilterFunction2(A2.time,A2.values(:,1)),..
                                 DynamicFilterFunction1(A1.time,A1.values(:,2))]]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba4e3.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;...
                                [DynamicFilterFunction1(A3.time,A3.values(:,3)),..
                                 DynamicFilterFunction2(A3.time,A3.values(:,2)),..
                                 DynamicFilterFunction2(A2.time,A2.values(:,1)),..
                                 DynamicFilterFunction1(A1.time,A1.values(:,2))]]; 

//Сверяем результат расчета с эталонным                        
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);
                          
clear;
