[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Функция фильтра
function [parametrs]=DynamicFilterFunction1(time, value)
    parametrs=[sum(time.*value) / length(time), sum((time.^2).*value) / (3*length(time))];
endfunction
function [parametr]=DynamicFilterFunction2(time, value)
    parametr=sum(time.*value) / (2*length(time));
endfunction

//Массив функций фильтров
DynamicFiltersFunctions = cell(1, 5);
DynamicFiltersFunctions{1} = DynamicFilterFunction2;
DynamicFiltersFunctions{2} = DynamicFilterFunction1;
DynamicFiltersFunctions{3} = DynamicFilterFunction2;
DynamicFiltersFunctions{4} = DynamicFilterFunction1;
DynamicFiltersFunctions{5} = DynamicFilterFunction1;

//Запускаем базовую функцию
SystemParametrsNames = ['b', 'e', 'h', 'c'];//Имена параметров
SystemParametrsValues = [ 1.5,  4.5, 6.15, 2.25;
                          3.3, 4.83, 7.23, 2.73;
                         4.53,  5.1, 6.69, 1.83];//Значения параметров
[SystemOutputCharacteristics...//Выходные характеристики
 ]=AdvancedModelLearningDataEvidence(['A3', 'A1', 'A2', 'A4'],...//Имена выходных характеристик системы
                                     [1, 1, 3, 2, 4],...//Индексы имен динамик
                                     [2, 3, 1, 2, 1],...//Индексы динамик (в именах)
                                     fullfile(pathlib, 'Proba7.zcos'),...//Имя схемы системы
                                     DynamicFiltersFunctions,...//Функция сжатия динамик
                                     SystemParametrsNames,...//Имена параметров, определяющих динамику
                                     SystemParametrsValues,...//Значения параметров, определяющих динамику
                                     [  0.5E-6,0.63E-6,0.45E-6],..//Абсолютная погрешность
                                     [0.723E-6,0.81E-6,0.51E-6],..//Относительная погрешность
                                     [10.0,12.9,15.3],..//Время симуляции
                                     [0.75E-4,0.81E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                     [0,2,5],..//Решатель
                                     [0.9E-10,1.11E-10,1.41E-10]..//Погрешность по времени
                                     );

//Запускаем эталонный пример
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba7e1.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [DynamicFilterFunction2(A3.time,A3.values(:,2)),..
                                DynamicFilterFunction1(A3.time,A3.values(:,3)),..
                                DynamicFilterFunction2(A2.time,A2.values(:,1)),..
                                DynamicFilterFunction1(A1.time,A1.values(:,2)),..
                                DynamicFilterFunction1(A4.time,A4.values(:,1))];
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba7e2.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;...
                                [DynamicFilterFunction2(A3.time,A3.values(:,2)),..
                                 DynamicFilterFunction1(A3.time,A3.values(:,3)),..
                                 DynamicFilterFunction2(A2.time,A2.values(:,1)),..
                                 DynamicFilterFunction1(A1.time,A1.values(:,2)),..
                                 DynamicFilterFunction1(A4.time,A4.values(:,1))]]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba7e3.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;...
                                [DynamicFilterFunction2(A3.time,A3.values(:,2)),..
                                 DynamicFilterFunction1(A3.time,A3.values(:,3)),..
                                 DynamicFilterFunction2(A2.time,A2.values(:,1)),..
                                 DynamicFilterFunction1(A1.time,A1.values(:,2)),..
                                 DynamicFilterFunction1(A4.time,A4.values(:,1))]]; 

//Сверяем результат расчета с эталонным                      
assert_checkequal(SystemOutputCharacteristics, SystemOutputCharacteristicse);
                          
clear;
