[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Запускаем базовую функцию
SystemParametrsNames = ['b', 'a', 'd'];//Имена параметров
SystemParametrsValues = [ 1.5, 0.81, 3.81;
                         2.25, 0.51, 6.81;
                         1.11, 0.93, 3.51];//Значения параметров
SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2'];//Имена выходных характеристик модели
TimeMoments = cell(1, 3);
TimeMoments{1} = [0.0:0.05:9.95]';
TimeMoments{2} = [0.0:0.1:9.9]';
TimeMoments{3} = [0.0:0.2:9.8]';
[SystemOutputCharacteristics,...//Выходные характеристики
 parametrs...//Параметры
 ]=AdvancedModelLearningDataTimeGrid(SystemOutputChatacteristicsNames,..//Имена выходных характеристик системы
                                     [1, 3, 2, 2],..//Индексы выходных характеристик системы
                                     [2, 1, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                     fullfile(pathlib, 'Proba3.zcos'),..//Имя схемы системы
                                     TimeMoments,..//Моменты времени
                                     SystemParametrsNames,..//Имена параметров, определяющих динамику
                                     SystemParametrsValues,..//Значения параметров, определяющих динамику
                                     [ 0.45E-6,0.63E-6,0.57E-6],..//Абсолютная погрешность
                                     [0.723E-6,0.39E-6,0.75E-6],..//Относительная погрешность
                                     [10.0,11.0,12.9],..//Время симуляции
                                     [0.81E-4,0.75E-4,0.87E-4],..//Максимальный шаг интегрирования по времени
                                     [2,3,5],..//Решатель
                                     [1E-10,1E-10,1E-10]..//Погрешность по времени
                                     );

//Запускаем эталонные примеры   
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba3e1.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [A1.values(:,2), A2.values(:,1), A3.values(:,1), A3.values(:,3)]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba3e2.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,2), A2.values(:,1), A3.values(:,1), A3.values(:,3)]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba3e3.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,2), A2.values(:,1), A3.values(:,1), A3.values(:,3)]; 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);

//Запускаем сопоставление расчитанных результатов с эталонными   
assert_checktrue(dSystemOutputChatacteristics < 30);
assert_checkequal(parametrs, [ 1.5*ones(200, 1), 0.81*ones(200, 1), 3.81*ones(200, 1);...
                              2.25*ones(100, 1), 0.51*ones(100, 1), 6.81*ones(100, 1);...
                              1.11*ones( 50, 1), 0.93*ones( 50, 1), 3.51*ones( 50, 1)]);
                          
clear;
