[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Запускаем базовую функцию
SystemParametrsNames = ['a', 'b', 'e', 'c'];//Имена параметров
SystemParametrsValues = [1.83, 6.69,  5.1, 2.49;
                         1.23, 6.75, 5.79, 2.25;
                         2.13, 5.19, 6.03, 2.55];//Значения параметров
SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2', 'A4'];//Имена выходных характеристик модели
TimeMoments = cell(1, 3);
TimeMoments{1} = [0.0:0.02:9.98]';
TimeMoments{2} = [0.0:0.01:9.99]';
TimeMoments{3} = [0.0:0.04:9.96]';
[SystemOutputCharacteristics,...//Выходные характеристики
 parametrs...//Параметры
 ]=AdvancedModelLearningDataTimeGrid(SystemOutputChatacteristicsNames,..//Имена выходных характеристик системы
                                     [1, 3, 2, 2, 4],..//Индексы выходных характеристик системы
                                     [1, 1, 2, 3, 1],..//Индексы выходных характеристик системы (в именах)
                                     fullfile(pathlib, 'Proba6.zcos'),..//Имя схемы системы
                                     TimeMoments,..//Моменты времени
                                     SystemParametrsNames,..//Имена параметров, определяющих динамику
                                     SystemParametrsValues,..//Значения параметров, определяющих динамику
                                     [ 0.5E-6,0.63E-6,0.75E-6],..//Абсолютная погрешность
                                     [0.45E-6,0.39E-6,0.81E-6],..//Относительная погрешность
                                     [10.0,11.7,12.3],..//Время симуляции (максимальное)
                                     [0.81E-4,3.9E-4,1.23E-4],..//Максимальный шаг интегрирования по времени
                                     [1,2,5],..//Решатель
                                     [1E-10,1.11E-10,1.23E-10]..//Погрешность по времени
                                     );

//Запускаем эталонные примеры
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba6e1.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A4.values(:,1)];      
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba6e2.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A4.values(:,1)]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba6e3.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A4.values(:,1)]; 

//Ищем погрешность
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);

//Сверяем полученные данные с эталонными
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.0);
assert_checkequal(parametrs, [1.83*ones( 500,1), 6.69*ones( 500,1),  5.1*ones( 500,1), 2.49*ones( 500,1);
                              1.23*ones(1000,1), 6.75*ones(1000,1), 5.79*ones(1000,1), 2.25*ones(1000,1);
                              2.13*ones( 250,1), 5.19*ones( 250,1), 6.03*ones( 250,1), 2.55*ones( 250,1)]);
                          
clear;
