[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Запускаем базовую функцию
SystemParametrsNames = ['b', 'd'];//Имена параметров
SystemParametrsValues = [1.87, 3.45;
                         1.17, 3.39;
                         1.23, 4.41;
                         2.01, 5.01;
                         2.31, 5.31];//Значения параметров
SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2', 'A5'];//Имена выходных характеристик модели
TimeMoments = cell(1, 5);
TimeMoments{1} = [0.0:0.02:9.98]';
TimeMoments{2} = [0.0:0.01:9.99]';
TimeMoments{3} = [0.0:0.04:9.96]';
TimeMoments{4} = [0.0:0.01:9.99]';
TimeMoments{5} = [0.0:0.02:9.98]';
[SystemOutputCharacteristics,...//Выходные характеристики
 parametrs...//Параметры
 ]=AdvancedModelLearningDataTimeGrid(SystemOutputChatacteristicsNames,..//Имена выходных характеристик системы
                                     [1, 3, 2, 2, 4, 4],..//Индексы выходных характеристик системы
                                     [1, 1, 2, 3, 1, 3],..//Индексы выходных характеристик системы (в именах)
                                     fullfile(pathlib, 'Proba8.zcos'),..//Имя схемы системы
                                     TimeMoments,..//Моменты времени
                                     SystemParametrsNames,..//Имена параметров, определяющих динамику
                                     SystemParametrsValues,..//Значения параметров, определяющих динамику
                                     [0.483E-6,0.669E-6,0.573E-6,0.513E-6,0.813E-6],..//Абсолютная погрешность
                                     [0.753E-6,0.369E-6,0.759E-6,0.789E-6,0.819E-6],..//Относительная погрешность
                                     [10.0,11.0,12.9,13.5,10.5],..//Время симуляции
                                     [0.87E-4,0.723E-4,0.879E-4,0.873E-4,0.849E-4],..//Максимальный шаг интегрирования по времени
                                     [2,3,5,1,6],..//Решатель
                                     [1.11E-10,1.23E-10,1.81E-10,1.29E-10,1.35E-10]..//Погрешность по времени
                                     );

//Запускаем эталонные примеры   
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba8e1.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A5.values(:,1), A5.values(:,3)]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba8e2.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A5.values(:,1), A5.values(:,3)]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba8e3.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A5.values(:,1), A5.values(:,3)]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba8e4.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A5.values(:,1), A5.values(:,3)]; 
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba8e5.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4);
SystemOutputCharacteristicse = [SystemOutputCharacteristicse;
                                A1.values(:,1), A2.values(:,1), A3.values(:,2), A3.values(:,3), A5.values(:,1), A5.values(:,3)]; 
dSystemOutputChatacteristics = abs(SystemOutputCharacteristics - SystemOutputCharacteristicse);

//Запускаем сопоставление расчитанных результатов с эталонными
assert_checktrue(mean(dSystemOutputChatacteristics) < 1.5);
assert_checkequal(parametrs, [1.87*ones( 500,1), 3.45*ones( 500,1);
                              1.17*ones(1000,1), 3.39*ones(1000,1);
                              1.23*ones( 250,1), 4.41*ones( 250,1);
                              2.01*ones(1000,1), 5.01*ones(1000,1);
                              2.31*ones( 500,1), 5.31*ones( 500,1)]);
                          
clear;
