[a, pathlib] = libraryinfo("computing_experimentlib");
clear a;
pathlib = strncpy(pathlib, length(pathlib) - length('macros')) + 'xcos';

//Запускаем базовую функцию
SystemParametrsNames = ['b', 'd'];//Имена параметров
SystemParametrsValues = [1.5, 3.81];//Значения параметров
SystemOutputChatacteristicsNames = ['A1', 'A3', 'A2'];//Имена выходных характеристик модели
SystemShema = xcosDiagramToScilab(fullfile(pathlib, 'Proba1.zcos'));//Схема системы
[SystemModelOutputChatacteristics,...//Выходные характеристики системы
 SystemProps..//Свойства системы
 ]=ComputingExperiment(SystemOutputChatacteristicsNames,...//Имена выходных характеристик модели
                       SystemShema,...//Схема системы
                       SystemParametrsNames,...//Имена параметров
                       SystemParametrsValues,...//Значения параметров
                       0.5E-6,..//Абсолютная погрешность
                       0.7E-6,..//Относительная погрешность
                       10.0,..//Время симуляции
                       0.8E-4,..//Максимальный шаг интегрирования по времени
                       1,..//Решатель
                       1E-10..//Погрешность по времени
                       );

//Запускаем тестовый пример
SystemShemae = xcosDiagramToScilab(fullfile(pathlib, 'Proba1e.zcos'));//Схема системы   
xcos_simulate(SystemShemae, 4); 
dSystemModelOutputChatacteristics1 = [SystemModelOutputChatacteristics(1).time - A1.time,..
                                      SystemModelOutputChatacteristics(1).values - A1.values..
                                      ];
dSystemModelOutputChatacteristics2 = [SystemModelOutputChatacteristics(2).time - A3.time,..
                                      SystemModelOutputChatacteristics(2).values - A3.values..
                                      ];
dSystemModelOutputChatacteristics3 = [SystemModelOutputChatacteristics(3).time - A2.time,..
                                      SystemModelOutputChatacteristics(3).values - A2.values..
                                      ];

//Запускаем сопоставление зананных свойств с эталонными
assert_checkequal(SystemProps.tf,SystemShemae.props.tf);
assert_checkequal(SystemProps.tol,SystemShemae.props.tol);
assert_checkequal(SystemProps.context,SystemShemae.props.context);
    
//Запускаем сопоставление полученных результатов с тестовыми 
assert_checkequal(sum(dSystemModelOutputChatacteristics1 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics2 .^ 2), 0);                                   
assert_checkequal(sum(dSystemModelOutputChatacteristics3 .^ 2), 0);
                      
clear;
